EDIT - bug #6747

Media and Facts view is inactive for specimen editor
06/21/2017 02:27 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.8

Severity: critical Found in Version:

Description

For the specimen editor there is no media and no facts view available anymore.

In €3 architecture we had an interface which was used to define which part should have an active media or facts view. This does not
work anymore because the part is now an e4PartWrapper not the derivateView.

We can do a workaround by checking the selection type.

Related issues:
Related to EDIT - bug #6748: Linking between derivate view and facts/media view Closed

Associated revisions

Revision 2abe4473 - 06/21/2017 03:03 PM - Katja Luther

workaround to show media and facts view for derivateView

Revision 3166303d - 06/21/2017 03:14 PM - Katja Luther

to show the menu of the media view for derivate view

Revision 58480902 - 06/22/2017 11:50 AM - Katja Luther

avoid that mediaViewPart is inactive when details view has the focus

Revision 94665309 - 06/23/2017 10:13 AM - Katja Luther

set derivate view dirty if description detail is edited

History

#1 - 06/21/2017 02:31 PM - Katja Luther

- Related to bug #6748: Linking between derivate view and facts/media view added

#2 - 06/21/2017 03:10 PM - Katja Luther

Now the media and facts view is available. To show the menu of the media view | deleted the visibleWhen part in plugin.xml. This is not needed
because the media view is only available for parts which contain media otherwise the whole part is diabled.

#3 - 06/21/2017 03:16 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#4 - 06/21/2017 07:59 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

The media view is now active when you select a field or derived unit in specimen editor. But when you edit a media in the details view the media view
again becomes disabled. Also the save button is not set on dirty when editing any media data.

#5 - 06/21/2017 08:04 PM - Andreas Miuller

The behavior for the Factual Data View is a bit similar. The dirty flag is also not set. However, the Factual Data View is not disabled in contrary to the
Media View.
By the way the Media View is disabled in both cases, when editing Media OR Facts. In both cases this is not the case in v4.7.

#6 - 06/21/2017 08:05 PM - Andreas Miller

- Severity changed from normal to critical
#7 - 06/22/2017 10:26 AM - Katja Luther
Andreas Muller wrote:
The media view is now active when you select a field or derived unit in specimen editor. But when you edit a media in the details view the media

view again becomes disabled. Also the save button is not set on dirty when editing any media data.

The same problem with the whole derivate view. The dirty flag is set, but you have to set the focus back to the derivate view after editing something in
the details view to save the changes.

#8 - 06/22/2017 11:55 AM - Katja Luther
- % Done changed from 0 to 80

Andreas Muller wrote:

The behavior for the Factual Data View is a bit similar. The dirty flag is also not set. However, the Factual Data View is not disabled in contrary to
the Media View.

By the way the Media View is disabled in both cases, when editing Media OR Facts. In both cases this is not the case in v4.7.

This is fixed now, but the problem that save is only possible when the derivate view has the focus still exists.

#9 - 06/23/2017 11:02 AM - Andreas Miiller
- Related to feature request #6596: Migrate specimen editor added

#10 - 06/23/2017 12:56 PM - Andreas Miiller
- Related to deleted (feature request #6596: Migrate specimen editor)

#11 - 06/23/2017 12:56 PM - Andreas Miiller
- Parent task set to #6596

#12 - 06/23/2017 01:09 PM - Katja Luther
- Parent task deleted (#6596)

Hallo,

ich habe jetzt die VerknUpfungen zwischen FactualDataView/MediaView und DerivateView wieder hin bekommen, allerdings gibt es noch ein Problem
mit dem Speichern:

Es wird jetzt das dirty flag gesetzt, wenn man im DetailsView oder in Factual oder MediaView etwas &ndert, aber der Speichern Button ist nicht aktiv
und wenn man STR+S driickt, passiert nichts. Man muss erstmal wieder in den DerivateView selber rein und dann wird der Speichern Button aktiv
und man kann speichern.

Das ist nicht schén, aber es ist die Frage, ob man so releasen kann oder ob ich versuche noch weiter zu recherchieren, wie man das lI6sen kann. Das
Problem ist, dass der DerivateView ein e4 View ist und die anderen Views noch €3 und vor allem die anderen Views, die auch mit DetailsView,
descriptiveView und MediaView zusammen arbeiten, sind auch noch e3. Man kann also nicht einfach die Views auch nach e4 migrieren.

Man kdnnte beim release den Usernsagen, dass sie Ubergangsweise wieder in den DerivateView wechseln missen, um die Daten zu speichern.

Viele Grif3e,
Katja

#13 - 07/07/2017 10:13 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Patrick Plitzner

#14 - 07/07/2017 10:48 AM - Patrick Plitzner

- Status changed from Resolved to Closed
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 80 to 100

The views are no longer inactive. This works. However the problem of #6748 remains. It is not possible to create a new description for a specimen
when also the name editor is open. The description will be created for the taxon then.
